> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List aggregators

> Retrieve existing aggregators.



## OpenAPI

````yaml get /v1/aggregators
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/aggregators:
    get:
      tags:
        - Aggregators
      summary: List aggregators
      description: Retrieve existing aggregators.
      operationId: listAggregators
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedAggregator'
      security:
        - bearer: []
components:
  schemas:
    PaginatedAggregator:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Aggregator'
              - type: object
          description: List of Aggregator.
      required:
        - meta
        - data
    Aggregator:
      type:
        - object
        - 'null'
      properties:
        id:
          type: string
        entity:
          type: string
        operation:
          type: string
          enum:
            - count
            - sum
        property:
          type:
            - string
            - 'null'
        where:
          type:
            - object
            - 'null'
          properties:
            conditional:
              type: string
              enum:
                - and
                - or
            fields:
              type: array
              items:
                allOf:
                  - type: object
                    properties:
                      property:
                        type: string
                    required:
                      - property
                  - oneOf:
                      - type: object
                        properties:
                          operator:
                            type: string
                            enum:
                              - isNull
                              - isNotNull
                        required:
                          - operator
                      - type: object
                        properties:
                          operator:
                            type: string
                            enum:
                              - in
                              - notIn
                          value:
                            type: string
                        required:
                          - operator
                          - value
                      - type: object
                        properties:
                          operator:
                            type: string
                            enum:
                              - gte
                              - gt
                              - lt
                              - lte
                          value:
                            type: number
                        required:
                          - operator
                          - value
                      - type: object
                        properties:
                          operator:
                            type: string
                            enum:
                              - equals
                              - notEqual
                          value:
                            anyOf:
                              - type: string
                              - type: number
                              - type: boolean
                        required:
                          - operator
                          - value
          required:
            - conditional
            - fields
        type:
          type: string
          enum:
            - metered
            - licensed
        name:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        allow_negative_values:
          type: boolean
        aggregate_on_customers_enabled:
          type: boolean
        default_interval_count:
          type:
            - integer
            - 'null'
        default_interval_period:
          type:
            - string
            - 'null'
          enum:
            - days
            - weeks
            - months
            - years
        custom_event_name:
          type:
            - string
            - 'null'
        exposed_event_keys:
          type: array
          items:
            type: string
        unit_name:
          type:
            - string
            - 'null'
        thresholds:
          type: array
          items:
            $ref: '#/components/schemas/AggregatorThreshold'
        created_at:
          type: string
          format: date
        updated_at:
          type: string
          format: date
      required:
        - id
        - entity
        - operation
        - property
        - where
        - type
        - name
        - description
        - allow_negative_values
        - aggregate_on_customers_enabled
        - default_interval_count
        - default_interval_period
        - custom_event_name
        - exposed_event_keys
        - unit_name
        - thresholds
        - created_at
        - updated_at
    AggregatorThreshold:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        threshold_value:
          type: number
        comparison_operator:
          type: string
          enum:
            - gte
            - lte
      required:
        - id
        - name
        - threshold_value
        - comparison_operator
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````